//
//  WebinaireScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct WebinaireScreen: View {

    var body: some View {
        VStack(spacing: 16) {
            VStack(spacing: 32) {
                SQText("Webinaire spécial Pro", size: 20, font: .bold)
                    .multilineTextAlignment(.center)
                Image("webinaire")
                    .resizable()
                    .scaledToFit()
                    .frame(height: 140)
                SQText("30 minutes", size: 32, font: .bold)
                VStack {
                    SQText("Inscrivez-vous dès maintenant au webinaire gratuit sur le thème")
                        .multilineTextAlignment(.center)
                    SQText("“Augmenter mon chiffre d'affaires.“", size: 18, font: .bold)
                }
                SQButton("Je m’inscris", color: .sqGrape(80), textColor: .white) {

                }
            }
            .padding(16)
            .background(Color.sqGrape(10))
            .cornerRadius(8)

            SQButton("Non merci, je souhaite résilier", color: .white, textSize: 13) {

            }
        }
        .sqNavigationBar(title: "Ne partez pas !")
    }
}

#Preview {
    WebinaireScreen()
}
